# veRTCFUPlugin

一个 Electron RTC SDK 的视频处理插件库，对接第三方美颜SDK，支持 Windows 和 macOS 平台。
目录结构说明如下：

```
.
├──3rd
│   ├── Common // 公共的资源
│   │   └── assets
│   │          ├── *.bundle. // 放模型资源
│   ├── Mac  // Mac 平台的第三方美颜库
│   │   └── Beauty SDK 
│   │          ├── include
│   │          ├── lib
│   ├── Windows // Windows 平台的第三方美颜库
│   │   └── Beauty SDK 
│   │          ├── include
│   │          ├── lib
├──scripts
│   ├── release_win_win32.bat // 编译插件脚本
├──src
│   ├── common  // 公共的代码，比如日志，utils 等
│   │   └── log.h
│   │   └── log.cpp
│   │   └── rapidjson // rapidjson 用于解析 JSON
│   ├── windows // Windows 平台特有的代码
│   │   └── dllmain.cpp    // Windows 动态库入口
│   ├── IVideoPlugin.h // 定义插件，详见下文示例
│   ├── veRTCFUPlugin.h  // 定义处理器方法，详见下文示例
│   ├── veRTCFUPlugin.cpp //实现处理器方法，详见下文示例
├──tools // 打包工具
│   ├── 7z.exe 
├──CMakeLists.txt // cmake 工程文件

```

### 环境配置

1. Windows
    1. vs2017; 添加环境变量, 举例: VS_ENV_DIR=C:\Program Files (x86)\Microsoft Visual Studio\2017\Enterprise  
    2. cmake
2. MacOS
    1. xcode
    2. cmake

### 如何打包

1. Windows(打开PowerShell或cmd):
    1. win32: .\scripts\release_win_win32.bat
    2. win64: .\scripts\release_win_win64.bat
2. MacOS(打开终端):
    1. x86_64: ./scripts/release_mac_x86_64.sh
    2. arm64: ./scripts/release_mac_arm64.sh

