@echo off
setlocal

::config
set BUILD_ARCH=win32
set BUILD_TYPE=Release
set PLUGIN_NAME=veRTCFUPlugin
set PLUGIN_DIR_NAME=vertc-win-%BUILD_ARCH%-fu-plugin
set VS_ENV="%VS_ENV_DIR%\VC\Auxiliary\Build\vcvars32.bat"

::dir
cd %~dp0..
set ROOT_DIR=%cd%
set TOOL_DIR=%ROOT_DIR%\tools

::build
cd %ROOT_DIR%
set BUILD_DIR=%ROOT_DIR%\build\win\%BUILD_ARCH%
echo %BUILD_DIR%
del %BUILD_DIR%\* /q /f /s 
md %BUILD_DIR%
cd %BUILD_DIR% 
cmake -DCMAKE_OSX_ARCHITECTURES=%BUILD_ARCH% -DCMAKE_BUILD_TYPE=%BUILD_TYPE% %ROOT_DIR% -G "Visual Studio 15 2017"
call %VS_ENV%
devenv /rebuild "Release|Win32" "%PLUGIN_NAME%.sln" /project "%PLUGIN_NAME%.vcxproj" /projectconfig "Release|Win32"
cd %ROOT_DIR%

::pack
set PACK_DIR=%ROOT_DIR%\pack
set BINARY_DIR=%BUILD_DIR%\%BUILD_TYPE%
set PLUGIN_DIR=%PACK_DIR%\win\%BUILD_ARCH%\%PLUGIN_DIR_NAME%
del %PLUGIN_DIR%\* /q /f /s 
del %PLUGIN_DIR%.zip /q /f /s 
md %PLUGIN_DIR%

xcopy %BINARY_DIR%\* %PLUGIN_DIR% /y /e /i /q 
cd %PLUGIN_DIR%
del %PLUGIN_DIR%\*.exp /q /f /s 
del %PLUGIN_DIR%\*.lib /q /f /s 
::del %PLUGIN_DIR%\*.pdb /q /f /s 
cd %PLUGIN_DIR%\..
%TOOL_DIR%\7z.exe a -tzip %PLUGIN_DIR_NAME%.zip %PLUGIN_DIR_NAME%
cd %ROOT_DIR%

::symbol
set PDB_DIR=%ROOT_DIR%\symbol
set PLUGIN_PDB_DIR=%PDB_DIR%\win\%BUILD_ARCH%\%PLUGIN_DIR_NAME%-symbol
del %PLUGIN_PDB_DIR%\* /q /f /s 
md %PLUGIN_PDB_DIR%
xcopy %BINARY_DIR%\*.pdb %PLUGIN_PDB_DIR% /y /i /q 

endlocal
